NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::MirrorFaceBuilder Class Reference

Represents a NXOpen::Features::MirrorFace builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMirrorFaceBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::MirrorFaceBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  MirrorPlaneOptions { MirrorPlaneOptionsExisting, MirrorPlaneOptionsNew }
 Represents the mirror plane options. More...
 

Public Member Functions

NXOpen::SelectISurfaceExistingMirrorPlane ()
 Returns the existing mirror plane
Created in NX6.0.0. More...
 
NXOpen::Features::FaceRecognitionBuilderFaceToMirror ()
 Returns the face to mirror. More...
 
NXOpen::Features::MirrorFaceBuilder::MirrorPlaneOptions MirrorPlaneOption ()
 Returns the mirror plane option
Created in NX6.0.0. More...
 
NXOpen::PlaneNewMirrorPlane ()
 Returns the new mirror plane
Created in NX6.0.0. More...
 
void SetMirrorPlaneOption (NXOpen::Features::MirrorFaceBuilder::MirrorPlaneOptions mirrorPlaneOptions)
 Sets the mirror plane option
Created in NX6.0.0. More...
 
void SetNewMirrorPlane (NXOpen::Plane *newMirrorPlane)
 Sets the new mirror plane
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::MirrorFace builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateMirrorFaceBuilder
Default values.

Property Value

FaceToMirror.CoaxialEnabled

0

FaceToMirror.CoplanarAxesEnabled

0

FaceToMirror.CoplanarEnabled

0

FaceToMirror.EqualDiameterEnabled

0

FaceToMirror.OffsetEnabled

0

FaceToMirror.ParallelEnabled

0

FaceToMirror.PerpendicularEnabled

0

FaceToMirror.SymmetricEnabled

0

FaceToMirror.TangentEnabled

0

FaceToMirror.ThicknessChainEnabled

0

FaceToMirror.UseFaceBrowse

1


Created in NX6.0.0.

Member Enumeration Documentation

Represents the mirror plane options.

Enumerator
MirrorPlaneOptionsExisting 

Existing Plane.

MirrorPlaneOptionsNew 

New Plane.

Member Function Documentation

NXOpen::SelectISurface* NXOpen::Features::MirrorFaceBuilder::ExistingMirrorPlane ( )

Returns the existing mirror plane
Created in NX6.0.0.



License requirements : None

NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::MirrorFaceBuilder::FaceToMirror ( )

Returns the face to mirror.

Please refer NXOpen::Features::FaceRecognitionBuilder for details.
Created in NX6.0.0.

License requirements : None

NXOpen::Features::MirrorFaceBuilder::MirrorPlaneOptions NXOpen::Features::MirrorFaceBuilder::MirrorPlaneOption ( )

Returns the mirror plane option
Created in NX6.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::MirrorFaceBuilder::NewMirrorPlane ( )

Returns the new mirror plane
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::MirrorFaceBuilder::SetMirrorPlaneOption ( NXOpen::Features::MirrorFaceBuilder::MirrorPlaneOptions  mirrorPlaneOptions)

Sets the mirror plane option
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
mirrorPlaneOptionsmirror plane options
void NXOpen::Features::MirrorFaceBuilder::SetNewMirrorPlane ( NXOpen::Plane newMirrorPlane)

Sets the new mirror plane
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
newMirrorPlanenew mirror plane

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.